****This file estimates the descriptive statistics reported in Table 6.1, the unit root tests, and the partical correlations reported in chapter 6.  
****Run this file on the dataset ch6allrulings.dta

set logtype text
log using table6_1.out, replace


xtset country year

***descriptive stats in table 6.1

xtsum oecdmgdp commecjagree commecjagreesub1 commecjagree169 commecjagree169sub1 if year>1970 

***partial correlation between fullest of rulings and subset of rulings

pcorr commecjagree commecjagreesub1 fr belux ge it ne if year>1970 
pcorr commecjagree169 commecjagree169sub1 fr belux ge it ne if year>1970 

***partial correlation between infringement rulings and preliminary rulings

pcorr commecjagree commecjagree169 fr belux ge it if year<1970 & year<1994 & country<7

***unit root tests (levin-lin-chu test, with AIC criteria used to determine lag length)

xtunitroot llc oecdmgdp if year>1970, lags(aic) demean kernel(bartlett nwest)
xtunitroot llc oecdmgdp if year>1970, lags(aic) kernel(bartlett nwest)
xtunitroot llc oecdmgdp if year>1970, lags(aic) demean kernel(bartlett 10)
xtunitroot llc oecdmgdp if year>1970, lags(aic) kernel(bartlett 10)
xtunitroot llc oecdmgdp if year>1970, lags(aic) 
xtunitroot llc oecdmgdp if year>1970, lags(aic) demean


log close
