****November 14, 2014
****This file is used to generate the tables and figures presented in Chapter 5.  The file should be run on the dataset 'chapters345.dta"

log using ch5analysis.log, replace

***Table 5.1 

**drop the case 1/82 because that is a personnel case
probit NewECJPlAgree normgdpobs  if GovIsDef==1 & casenumber~="1/82" , cluster(casenumber)
 

**drop the indicated cases because they deal with personnel or other issues unrelated to compliance, such as failure to act cases

probit NewECJPlAgree normgdpobs  if  govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1,  cluster(casenumber)

**Run simulations for figures with predicted probability

estsimp probit NewECJPlAgree normgdpobs  if GovIsDef==1 & casenumber~="1/82", cluster(casenumber)

setx (normgdpobs) -.6
simqi
setx (normgdpobs) -.5
simqi
setx (normgdpobs) -.4
simqi
setx (normgdpobs) -.3
simqi
setx (normgdpobs) -.2
simqi
setx (normgdpobs) -.1
simqi
setx (normgdpobs) 0
simqi
setx (normgdpobs) .1
simqi
setx (normgdpobs) .2
simqi
setx (normgdpobs) .3
simqi
setx (normgdpobs) .4
simqi

drop b1 b2



estsimp probit NewECJPlAgree normgdpobs  if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1, cluster(casenumber)


setx (normgdpobs) -.6
simqi
setx (normgdpobs) -.5
simqi
setx (normgdpobs) -.4
simqi
setx (normgdpobs) -.3
simqi
setx (normgdpobs) -.2
simqi
setx (normgdpobs) -.1
simqi
setx (normgdpobs) 0
simqi
setx (normgdpobs) .1
simqi
setx (normgdpobs) .2
simqi
setx (normgdpobs) .3
simqi
setx (normgdpobs) .4
simqi

drop b1 b2

***Table 5.2 controls for legal merits

**identity suspect AG opinions
**this is borrowed exactly from the chapter 4 do file

** the variable vulnerable identifies AG's who are vulnerable
gen vulnerable=0

gen agecent=age2-58

replace vulnerable=1 if agecent<12 & ltsurv>0

**create variable capturing set of rulings where AG agrees with homeobs, meaning there is threat of homecooking (the AG having responded to national govt observation) 

gen homecook=0

replace homecook=1 if AGforPl==1 & homeobs==1
replace homecook=1 if AGforPl==0 & homeobs==-1

 
*create variable capturing set of rulings where homecooking is a threat and the AG is responsive to homecooking as defined by "vulnerable"
 
gen suspect=0
replace suspect=1 if homecook==1 & vulnerable==1


** Models only with GovIsDef==1

*with AGforPl
probit NewECJPlAgree normgdpobs AGforPl if GovIsDef==1 & casenumber~="1/82", cluster(casenumber)

*with AGforPlsubset
probit NewECJPlAgree normgdpobs AGforPl if GovIsDef==1 & casenumber~="1/82" & suspect==0, cluster(casenumber)

**Models with govislit==1

*with AGforPl
probit NewECJPlAgree normgdpobs AGforPl if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1, cluster(casenumber)

*with AGforPlsubset
probit NewECJPlAgree normgdpobs  AGforPl if govislit==1 & suspect==0 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1, cluster(casenumber)

***Table 5.3 controls for Commission
**with government defendant

probit NewECJPlAgree normgdpobs CommObsPl CommObsDef CommIsPl if GovIsDef==1 & casenumber~="1/82", cluster(casenumber)
probit NewECJPlAgree normgdpobs CommObsPl CommObsDef CommIsPl AGforPl if GovIsDef==1 & casenumber~="1/82", cluster(casenumber)


**with government litigant
probit NewECJPlAgree normgdpobs  CommIsPl CommIsDef CommObsPl CommObsDef  if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1, cluster(casenumber)
probit NewECJPlAgree normgdpobs  CommIsPl CommIsDef CommObsPl CommObsDef AGforPl if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1, cluster(casenumber)


***Table 5.4: preliminary rulings

**with government defendant
probit NewECJPlAgree normgdpobs if GovIsDef==1 & article177==0 & casenumber~="1/82", cluster(casenumber)
probit NewECJPlAgree normgdpobs if GovIsDef==1 & article177==1 & casenumber~="1/82", cluster(casenumber)
probit NewECJPlAgree normgdpobs article177 normgdpobs177 if GovIsDef==1 & casenumber~="1/82", cluster(casenumber)

***Table 5.5: preliminary rulings
**with government litigant

probit NewECJPlAgree normgdpobs if govislit==1 & article177==0 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1, cluster(casenumber)
probit NewECJPlAgree normgdpobs if govislit==1 & article177==1 & casenumber~="1/82" & casenumber~="9/600", cluster(casenumber)
probit NewECJPlAgree normgdpobs article177 normgdpobs177 if govislit==1 & casenumber~="1/82" &  casenumber~="9/600" & article179~=1 & article175~=1, cluster(casenumber)

***Table 5.6: test for period effects after 1993

gen pre1994=0
replace pre1994=1 if year<1994
gen normgdpobspre1994=normgdpobs*pre1994

probit NewECJPlAgree normgdpobs if GovIsDef==1 & casenumber~="1/82" & year<1994, cluster(casenumber)
probit NewECJPlAgree normgdpobs pre1994 normgdpobspre1994 if GovIsDef==1 & casenumber~="1/82", cluster(casenumber)

probit NewECJPlAgree normgdpobs if year< 1994 & govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1, cluster(casenumber)
probit NewECJPlAgree normgdpobs pre1994 normgdpobspre1994 if  govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1, cluster(casenumber)

***Table 5.7: Models with all data to test for over-ride effect

probit NewECJPlAgree normgdpobs govislit normgdpobsgov  if article177==0, cluster(casenumber)
lincom normgdpobs + normgdpobsgov

probit NewECJPlAgree normgdpobs govislit normgdpobsgov if article177==1, cluster(casenumber)
lincom normgdpobs + normgdpobsgov

probit NewECJPlAgree normgdpobs govislit normgdpobsgov, cluster(casenumber)
lincom normgdpobs + normgdpobsgov

**simulate effects when govislit=0 and govislit=1

estsimp probit  NewECJPlAgree normgdpobs govislit normgdpobsgov, cluster(casenumber)

*baseline: all vars at median/mean 

setx (normgdpobs) -.6 (govislit normgdpobsgov) 0
simqi
setx (normgdpobs) -.5 (govislit normgdpobsgov) 0
simqi
setx (normgdpobs) -.4 (govislit normgdpobsgov) 0
simqi
setx (normgdpobs) -.3 (govislit normgdpobsgov) 0 
simqi
setx (normgdpobs) -.2 (govislit normgdpobsgov) 0
simqi
setx (normgdpobs) -.1 (govislit normgdpobsgov) 0
simqi
setx (normgdpobs) 0 (govislit normgdpobsgov) 0
simqi
setx (normgdpobs) .1 (govislit normgdpobsgov) 0
simqi
setx (normgdpobs) .2 (govislit normgdpobsgov) 0
simqi
setx (normgdpobs) .3 (govislit normgdpobsgov) 0
simqi
setx (normgdpobs) .4 (govislit normgdpobsgov) 0
simqi

*do it again with govislit=1


setx (normgdpobs normgdpobsgov) -.6 (govislit) 1
simqi
setx (normgdpobs normgdpobsgov) -.5 (govislit) 1
simqi
setx (normgdpobs normgdpobsgov) -.4 (govislit) 1
simqi
setx (normgdpobs normgdpobsgov) -.3 (govislit) 1 
simqi
setx (normgdpobs normgdpobsgov) -.2 (govislit) 1
simqi
setx (normgdpobs normgdpobsgov) -.1 (govislit) 1
simqi
setx (normgdpobs normgdpobsgov) 0 (govislit) 1
simqi
setx (normgdpobs normgdpobsgov) .1 (govislit) 1
simqi
setx (normgdpobs normgdpobsgov) .2 (govislit) 1
simqi
setx (normgdpobs normgdpobsgov) .3 (govislit) 1
simqi
setx (normgdpobs normgdpobsgov) .4 (govislit) 1
simqi

drop b1 b2 b3 b4


****Figures 5.2 and 5.3 
**Estimate average predicted comparisons for the summary figures in Chapter 5
**This is based on pages 101-104 in Gelman and Hill 2007
**estimate average predictive comparisons


**THIS IS FOR THE MAXIMAL CHANGE IN GOV OBS
**first for govisdef analyses

probit NewECJPlAgree normgdpobs  if GovIsDef==1 & casenumber~="1/82", cluster(casenumber)

**estimate the probability of ECJ for plaintiff if normgdpobs=-.57
gen pr0=normprob(_b[normgdpobs]*-.57 + _b[_cons]) if GovIsDef==1 & casenumber~="1/82" & NewECJPlAgree~=.

**estimate the probability of ECJ for plaintiff if normgdpob=.34
gen pr1=normprob(_b[normgdpobs]*.34 + _b[_cons]) if GovIsDef==1 & casenumber~="1/82" & NewECJPlAgree~=.

ttest pr0=pr1

*** With AGforPl control
**estimate the probability of ECJ for plaintiff if normgdpobs=-.2, with all other variables at the observed values


probit NewECJPlAgree normgdpobs AGforPl if GovIsDef==1 & casenumber~="1/82", cluster(casenumber)

**estimate the probability of ECJ for plaintiff if normgdpobs=-.57
gen pr2=normprob(_b[normgdpobs]*-.57 + _b[AGforPl]*AGforPl + _b[_cons]) if GovIsDef==1 & casenumber~="1/82" & NewECJPlAgree~=.

**estimate the probability of ECJ for plaintiff if normgdpob=.34
gen pr3=normprob(_b[normgdpobs]*.34 + _b[AGforPl]*AGforPl + _b[_cons]) if GovIsDef==1 & casenumber~="1/82" & NewECJPlAgree~=.


ttest pr2=pr3

*** With AGforPl control
**estimate the probability of ECJ for plaintiff, with all other variables at the observed values


probit NewECJPlAgree normgdpobs AGforPl if GovIsDef==1 & casenumber~="1/82" & suspect==0, cluster(casenumber)

**estimate the probability of ECJ for plaintiff if normgdpobs=-.57
gen pr4=normprob(_b[normgdpobs]*-.57 + _b[AGforPl]*AGforPl + _b[_cons]) if GovIsDef==1 & casenumber~="1/82" & NewECJPlAgree~=. & suspect==0


**estimate the probability of ECJ for plaintiff if normgdpob=.34
gen pr5=normprob(_b[normgdpobs]*.34 + _b[AGforPl]*AGforPl + _b[_cons]) if GovIsDef==1 & casenumber~="1/82" & NewECJPlAgree~=. & suspect==0


ttest pr4=pr5

***With Commission controls

probit NewECJPlAgree normgdpobs CommIsPl CommObsPl CommObsDef if GovIsDef==1 & casenumber~="1/82" , cluster(casenumber)

**estimate the probability of ECJ for plaintiff if normgdpobs=-.57
gen pr6=normprob(_b[normgdpobs]*-.57 + _b[CommObsDef]*CommObsDef + _b[CommObsPl]*CommObsPl + _b[CommIsPl]*CommIsPl +_b[_cons])  if GovIsDef==1 & casenumber~="1/82" & NewECJPlAgree~=.


**estimate the probability of ECJ for plaintiff if normgdpobs=.34
gen pr7=normprob(_b[normgdpobs]*.34 + _b[CommObsDef]*CommObsDef + _b[CommObsPl]*CommObsPl + _b[CommIsPl]*CommIsPl +_b[_cons]) if GovIsDef==1 & casenumber~="1/82" & NewECJPlAgree~=.

ttest pr6=pr7


***With Commission and AG controls

probit NewECJPlAgree normgdpobs AGforPl CommIsPl CommObsPl CommObsDef if GovIsDef==1 & casenumber~="1/82" , cluster(casenumber)

**estimate the probability of ECJ for plaintiff if normgdpobs=-.57
gen pr8=normprob(_b[normgdpobs]*-.57 + _b[AGforPl]*AGforPl + _b[CommObsDef]*CommObsDef + _b[CommObsPl]*CommObsPl + _b[CommIsPl]*CommIsPl +_b[_cons]) if GovIsDef==1 & casenumber~="1/82" & NewECJPlAgree~=.


**estimate the probability of ECJ for plaintiff if normgdpobs=.34
gen pr9=normprob(_b[normgdpobs]*.34 + _b[AGforPl]*AGforPl + _b[CommObsDef]*CommObsDef + _b[CommObsPl]*CommObsPl + _b[CommIsPl]*CommIsPl +_b[_cons]) if GovIsDef==1 & casenumber~="1/82" & NewECJPlAgree~=.

ttest pr8=pr9


*** pre and post 1993

probit NewECJPlAgree normgdpobs pre1994 normgdpobspre1994 if GovIsDef==1 & casenumber~="1/82", cluster(casenumber)

**estimate the probability of ECJ for plaintiff if post1993

gen pr10=normprob(_b[normgdpobs]*-.57 + _b[pre1994]*0 + _b[normgdpobspre1994]*0 + _b[_cons]) if GovIsDef==1 & casenumber~="1/82"  & NewECJPlAgree~=.

**estimate the probability of ECJ for plaintiff if normgdpob=.31 and post1993

gen pr11=normprob(_b[normgdpobs]*.22 + _b[pre1994]*0 + _b[normgdpobspre1994]*0 + _b[_cons]) if GovIsDef==1 & casenumber~="1/82"  & NewECJPlAgree~=.

ttest pr10=pr11


**estimate the probability of ECJ for plaintiff pre1994

gen pr12=normprob(_b[normgdpobs]*-.27 + _b[pre1994]*1 + _b[normgdpobspre1994]*-.27 + _b[_cons]) if GovIsDef==1 & casenumber~="1/82" & NewECJPlAgree~=.

**estimate the probability of ECJ for plaintiff if normgdpob=.2 and pre1994

gen pr13=normprob(_b[normgdpobs]*.33 + _b[pre1994]*1 + _b[normgdpobspre1994]*.33 + _b[_cons]) if GovIsDef==1 & casenumber~="1/82"  & NewECJPlAgree~=.

ttest pr12=pr13


** only direct actions

probit NewECJPlAgree normgdpobs  if article169==1 & GovIsDef==1 & casenumber~="1/82", cluster(casenumber) 

**estimate the probability of ECJ for plaintiff if normgdpobs=-.27

gen pr14=normprob(_b[normgdpobs]*-.27  + _b[_cons]) if GovIsDef==1 & casenumber~="1/82" & article169==1 & NewECJPlAgree~=.

**estimate the probability of ECJ for plaintiff if normgdpob=.31

gen pr15=normprob(_b[normgdpobs]*.31  + _b[_cons]) if GovIsDef==1 & casenumber~="1/82" & article169==1 & NewECJPlAgree~=.

ttest pr14=pr15


*** only preliminary references

probit NewECJPlAgree normgdpobs  if article177==1 & GovIsDef==1 & casenumber~="1/82", cluster(casenumber)

**estimate the probability of ECJ for plaintiff if normgdpobs=-.57 

gen pr16=normprob(_b[normgdpobs]*-.57  + _b[_cons]) if GovIsDef==1 & casenumber~="1/82" & article177==1 & NewECJPlAgree~=.

**estimate the probability of ECJ for plaintiff if normgdpob=.22 

gen pr17=normprob(_b[normgdpobs]*.22  + _b[_cons]) if GovIsDef==1 & casenumber~="1/82" & article177==1 & NewECJPlAgree~=.
ttest pr16=pr17

drop pr0 pr1 pr2 pr3 pr4 pr5 pr6 pr7 pr8 pr9 pr10 pr11 pr12 pr13 pr14 pr15 pr16 pr17

****NOW FOR GOVISLIT

probit NewECJPlAgree normgdpobs if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1, cluster(casenumber)

**estimate the probability of ECJ for plaintiff if normgdpobs=-.57
gen pr0=normprob(_b[normgdpobs]*-.57 + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & NewECJPlAgree~=.

**estimate the probability of ECJ for plaintiff if normgdpob=.34
gen pr1=normprob(_b[normgdpobs]*.34 + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & NewECJPlAgree~=.

ttest pr0=pr1

*** With AGforPl control

probit NewECJPlAgree normgdpobs AGforPl if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1, cluster(casenumber)

**estimate the probability of ECJ for plaintiff if normgdpobs=-.57
gen pr2=normprob(_b[normgdpobs]*-.57 + _b[AGforPl]*AGforPl + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & NewECJPlAgree~=.

**estimate the probability of ECJ for plaintiff if normgdpob=.34
gen pr3=normprob(_b[normgdpobs]*.34 + _b[AGforPl]*AGforPl + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & NewECJPlAgree~=.


ttest pr2=pr3

*** With AGforPl control

probit NewECJPlAgree normgdpobs AGforPl if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & suspect==0, cluster(casenumber)

**estimate the probability of ECJ for plaintiff if normgdpobs=-.57
gen pr4=normprob(_b[normgdpobs]*-.57 + _b[AGforPl]*AGforPl + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & NewECJPlAgree~=. & suspect==0


**estimate the probability of ECJ for plaintiff if normgdpob=.34
gen pr5=normprob(_b[normgdpobs]*.34 + _b[AGforPl]*AGforPl + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & NewECJPlAgree~=. & suspect==0


ttest pr4=pr5

***With Commission controls

probit NewECJPlAgree normgdpobs CommIsPl CommObsPl CommObsDef if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 , cluster(casenumber)

**estimate the probability of ECJ for plaintiff if normgdpobs=-.57
gen pr6=normprob(_b[normgdpobs]*-.57 + _b[CommObsDef]*CommObsDef + _b[CommObsPl]*CommObsPl + _b[CommIsPl]*CommIsPl +_b[_cons])  if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & NewECJPlAgree~=.


**estimate the probability of ECJ for plaintiff if normgdpobs=.34
gen pr7=normprob(_b[normgdpobs]*.34 + _b[CommObsDef]*CommObsDef + _b[CommObsPl]*CommObsPl + _b[CommIsPl]*CommIsPl +_b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & NewECJPlAgree~=.

ttest pr6=pr7


***With Commission and AG controls

probit NewECJPlAgree normgdpobs AGforPl CommIsPl CommObsPl CommObsDef if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 , cluster(casenumber)

**estimate the probability of ECJ for plaintiff if normgdpobs=-.57
gen pr8=normprob(_b[normgdpobs]*-.57 + _b[AGforPl]*AGforPl + _b[CommObsDef]*CommObsDef + _b[CommObsPl]*CommObsPl + _b[CommIsPl]*CommIsPl +_b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & NewECJPlAgree~=.


**estimate the probability of ECJ for plaintiff if normgdpobs=.34
gen pr9=normprob(_b[normgdpobs]*.34 + _b[AGforPl]*AGforPl + _b[CommObsDef]*CommObsDef + _b[CommObsPl]*CommObsPl + _b[CommIsPl]*CommIsPl +_b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & NewECJPlAgree~=.

ttest pr8=pr9


*** pre and post 1993

probit NewECJPlAgree normgdpobs pre1994 normgdpobspre1994 if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1, cluster(casenumber)

**estimate the probability of ECJ for plaintiff if normgdpobs=-.37 and post1993

gen pr10=normprob(_b[normgdpobs]*-.37 + _b[pre1994]*0 + _b[normgdpobspre1994]*0 + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1  & NewECJPlAgree~=.

**estimate the probability of ECJ for plaintiff if normgdpob=.34 and post1993

gen pr11=normprob(_b[normgdpobs]*.34 + _b[pre1994]*0 + _b[normgdpobspre1994]*0 + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1  & NewECJPlAgree~=.

ttest pr10=pr11


**estimate the probability of ECJ for plaintiff if normgdpobs=-.37 and pre1994

gen pr12=normprob(_b[normgdpobs]*-.37 + _b[pre1994]*1 + _b[normgdpobspre1994]*-.37 + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & NewECJPlAgree~=.

**estimate the probability of ECJ for plaintiff if normgdpob=.2 and pre1994

gen pr13=normprob(_b[normgdpobs]*.34 + _b[pre1994]*1 + _b[normgdpobspre1994]*.34 + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1  & NewECJPlAgree~=.

ttest pr12=pr13


** only direct actions

probit NewECJPlAgree normgdpobs  if article177==0 & govislit==1 & casenumber~="1/82", cluster(casenumber) 

**estimate the probability of ECJ for plaintiff if normgdpobs=-.57 

gen pr14=normprob(_b[normgdpobs]*-.57  + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & article169==1 & NewECJPlAgree~=.

**estimate the probability of ECJ for plaintiff if normgdpob=.28  

gen pr15=normprob(_b[normgdpobs]*.28  + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & article169==1 & NewECJPlAgree~=.

ttest pr14=pr15


*** only preliminary references

probit NewECJPlAgree normgdpobs  if article177==1 & govislit==1 & casenumber~="1/82", cluster(casenumber)

**estimate the probability of ECJ for plaintiff if normgdpobs=-.57
gen pr16=normprob(_b[normgdpobs]*-.57  + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & article177==1 & NewECJPlAgree~=.

**estimate the probability of ECJ for plaintiff if normgdpob=.34

gen pr17=normprob(_b[normgdpobs]*.34  + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & article177==1 & NewECJPlAgree~=.
ttest pr16=pr17

drop pr0 pr1 pr2 pr3 pr4 pr5 pr6 pr7 pr8 pr9 pr10 pr11 pr12 pr13 pr14 pr15 pr16 pr17

*****NOW WITH MODEST CHANGE (-.2 to .2), equivalent to a change by a large member state from against to supporting a plaintiff
*****first for govisdef analyses

probit NewECJPlAgree normgdpobs  if GovIsDef==1 & casenumber~="1/82", cluster(casenumber)

**estimate the probability of ECJ f.2or plaintiff if normgdpobs=-.2
gen pr0=normprob(_b[normgdpobs]*-.2 + _b[_cons]) if GovIsDef==1 & casenumber~="1/82" & NewECJPlAgree~=.

**estimate the probability of ECJ for plaintiff if normgdpob=.2
gen pr1=normprob(_b[normgdpobs]*.2 + _b[_cons]) if GovIsDef==1 & casenumber~="1/82" & NewECJPlAgree~=.

ttest pr0=pr1

*** With AGforPl control
**estimate the probability of ECJ for plaintiff if normgdpobs=-.2, with all other variables at the observed values


probit NewECJPlAgree normgdpobs AGforPl if GovIsDef==1 & casenumber~="1/82", cluster(casenumber)

**estimate the probability of ECJ for plaintiff if normgdpobs=-.2
gen pr2=normprob(_b[normgdpobs]*-.2 + _b[AGforPl]*AGforPl + _b[_cons]) if GovIsDef==1 & casenumber~="1/82" & NewECJPlAgree~=.

**estimate the probability of ECJ for plaintiff if normgdpob=.2
gen pr3=normprob(_b[normgdpobs]*.2 + _b[AGforPl]*AGforPl + _b[_cons]) if GovIsDef==1 & casenumber~="1/82" & NewECJPlAgree~=.


ttest pr2=pr3

*** With AGforPl control
**estimate the probability of ECJ for plaintiff if normgdpobs=-.2, with all other variables at the observed values


probit NewECJPlAgree normgdpobs AGforPl if GovIsDef==1 & casenumber~="1/82" & suspect==0, cluster(casenumber)

**estimate the probability of ECJ for plaintiff if normgdpobs=-.2
gen pr4=normprob(_b[normgdpobs]*-.2 + _b[AGforPl]*AGforPl + _b[_cons]) if GovIsDef==1 & casenumber~="1/82" & NewECJPlAgree~=. & suspect==0


**estimate the probability of ECJ for plaintiff if normgdpob=.2
gen pr5=normprob(_b[normgdpobs]*.2 + _b[AGforPl]*AGforPl + _b[_cons]) if GovIsDef==1 & casenumber~="1/82" & NewECJPlAgree~=. & suspect==0


ttest pr4=pr5

***With Commission controls

probit NewECJPlAgree normgdpobs CommIsPl CommObsPl CommObsDef if GovIsDef==1 & casenumber~="1/82" , cluster(casenumber)

**estimate the probability of ECJ for plaintiff if normgdpobs=-.2
gen pr6=normprob(_b[normgdpobs]*-.2 + _b[CommObsDef]*CommObsDef + _b[CommObsPl]*CommObsPl + _b[CommIsPl]*CommIsPl +_b[_cons])  if GovIsDef==1 & casenumber~="1/82" & NewECJPlAgree~=.


**estimate the probability of ECJ for plaintiff if normgdpobs=.2
gen pr7=normprob(_b[normgdpobs]*.2 + _b[CommObsDef]*CommObsDef + _b[CommObsPl]*CommObsPl + _b[CommIsPl]*CommIsPl +_b[_cons]) if GovIsDef==1 & casenumber~="1/82" & NewECJPlAgree~=.

ttest pr6=pr7


***With Commission and AG controls

probit NewECJPlAgree normgdpobs AGforPl CommIsPl CommObsPl CommObsDef if GovIsDef==1 & casenumber~="1/82" , cluster(casenumber)

**estimate the probability of ECJ for plaintiff if normgdpobs=-.2
gen pr8=normprob(_b[normgdpobs]*-.2 + _b[AGforPl]*AGforPl + _b[CommObsDef]*CommObsDef + _b[CommObsPl]*CommObsPl + _b[CommIsPl]*CommIsPl +_b[_cons]) if GovIsDef==1 & casenumber~="1/82" & NewECJPlAgree~=.


**estimate the probability of ECJ for plaintiff if normgdpobs=.2
gen pr9=normprob(_b[normgdpobs]*.2 + _b[AGforPl]*AGforPl + _b[CommObsDef]*CommObsDef + _b[CommObsPl]*CommObsPl + _b[CommIsPl]*CommIsPl +_b[_cons]) if GovIsDef==1 & casenumber~="1/82" & NewECJPlAgree~=.

ttest pr8=pr9


*** pre and post 1993

probit NewECJPlAgree normgdpobs pre1994 normgdpobspre1994 if GovIsDef==1 & casenumber~="1/82", cluster(casenumber)

**estimate the probability of ECJ for plaintiff if normgdpobs=-.2 and post1993

gen pr10=normprob(_b[normgdpobs]*-.2 + _b[pre1994]*0 + _b[normgdpobspre1994]*0 + _b[_cons]) if GovIsDef==1 & casenumber~="1/82"  & NewECJPlAgree~=.

**estimate the probability of ECJ for plaintiff if normgdpob=.2 and post1993

gen pr11=normprob(_b[normgdpobs]*.2 + _b[pre1994]*0 + _b[normgdpobspre1994]*0 + _b[_cons]) if GovIsDef==1 & casenumber~="1/82"  & NewECJPlAgree~=.

ttest pr10=pr11


**estimate the probability of ECJ for plaintiff if normgdpobs=-.2 and pre1994

gen pr12=normprob(_b[normgdpobs]*-.2 + _b[pre1994]*1 + _b[normgdpobspre1994]*-.2 + _b[_cons]) if GovIsDef==1 & casenumber~="1/82" & NewECJPlAgree~=.

**estimate the probability of ECJ for plaintiff if normgdpob=.2 and pre1994

gen pr13=normprob(_b[normgdpobs]*.2 + _b[pre1994]*1 + _b[normgdpobspre1994]*.2 + _b[_cons]) if GovIsDef==1 & casenumber~="1/82"  & NewECJPlAgree~=.

ttest pr12=pr13


** only direct actions

probit NewECJPlAgree normgdpobs  if article169==1 & GovIsDef==1 & casenumber~="1/82", cluster(casenumber) 

**estimate the probability of ECJ for plaintiff if normgdpobs=-.2 and post1993

gen pr14=normprob(_b[normgdpobs]*-.2  + _b[_cons]) if GovIsDef==1 & casenumber~="1/82" & article169==1 & NewECJPlAgree~=.

**estimate the probability of ECJ for plaintiff if normgdpob=.2 and pre1994 

gen pr15=normprob(_b[normgdpobs]*.2  + _b[_cons]) if GovIsDef==1 & casenumber~="1/82" & article169==1 & NewECJPlAgree~=.

ttest pr14=pr15


*** only preliminary references

probit NewECJPlAgree normgdpobs  if article177==1 & GovIsDef==1 & casenumber~="1/82", cluster(casenumber)
**estimate the probability of ECJ for plaintiff if normgdpobs=-.2 and post1993


gen pr16=normprob(_b[normgdpobs]*-.2  + _b[_cons]) if GovIsDef==1 & casenumber~="1/82" & article177==1 & NewECJPlAgree~=.

**estimate the probability of ECJ for plaintiff if normgdpob=.2 and pre1994

gen pr17=normprob(_b[normgdpobs]*.2  + _b[_cons]) if GovIsDef==1 & casenumber~="1/82" & article177==1 & NewECJPlAgree~=.
ttest pr16=pr17

drop pr0 pr1 pr2 pr3 pr4 pr5 pr6 pr7 pr8 pr9 pr10 pr11 pr12 pr13 pr14 pr15 pr16 pr17

****NOW FOR GOVISLIT

probit NewECJPlAgree normgdpobs if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1, cluster(casenumber)

**estimate the probability of ECJ for plaintiff if normgdpobs=-.2
gen pr0=normprob(_b[normgdpobs]*-.2 + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & NewECJPlAgree~=.

**estimate the probability of ECJ for plaintiff if normgdpob=.2
gen pr1=normprob(_b[normgdpobs]*.2 + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & NewECJPlAgree~=.

ttest pr0=pr1

*** With AGforPl control
**estimate the probability of ECJ for plaintiff if normgdpobs=-.2, with all other variables at the observed values


probit NewECJPlAgree normgdpobs AGforPl if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1, cluster(casenumber)

**estimate the probability of ECJ for plaintiff if normgdpobs=-.2
gen pr2=normprob(_b[normgdpobs]*-.2 + _b[AGforPl]*AGforPl + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & NewECJPlAgree~=.

**estimate the probability of ECJ for plaintiff if normgdpob=.2
gen pr3=normprob(_b[normgdpobs]*.2 + _b[AGforPl]*AGforPl + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & NewECJPlAgree~=.


ttest pr2=pr3

*** With AGforPl control
**estimate the probability of ECJ for plaintiff if normgdpobs=-.2, with all other variables at the observed values


probit NewECJPlAgree normgdpobs AGforPl if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & suspect==0, cluster(casenumber)

**estimate the probability of ECJ for plaintiff if normgdpobs=-.2
gen pr4=normprob(_b[normgdpobs]*-.2 + _b[AGforPl]*AGforPl + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & NewECJPlAgree~=. & suspect==0


**estimate the probability of ECJ for plaintiff if normgdpob=.2
gen pr5=normprob(_b[normgdpobs]*.2 + _b[AGforPl]*AGforPl + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & NewECJPlAgree~=. & suspect==0


ttest pr4=pr5

***With Commission controls

probit NewECJPlAgree normgdpobs CommIsPl CommObsPl CommObsDef if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 , cluster(casenumber)

**estimate the probability of ECJ for plaintiff if normgdpobs=-.2
gen pr6=normprob(_b[normgdpobs]*-.2 + _b[CommObsDef]*CommObsDef + _b[CommObsPl]*CommObsPl + _b[CommIsPl]*CommIsPl +_b[_cons])  if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & NewECJPlAgree~=.


**estimate the probability of ECJ for plaintiff if normgdpobs=.2
gen pr7=normprob(_b[normgdpobs]*.2 + _b[CommObsDef]*CommObsDef + _b[CommObsPl]*CommObsPl + _b[CommIsPl]*CommIsPl +_b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & NewECJPlAgree~=.

ttest pr6=pr7


***With Commission and AG controls

probit NewECJPlAgree normgdpobs AGforPl CommIsPl CommObsPl CommObsDef if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 , cluster(casenumber)

**estimate the probability of ECJ for plaintiff if normgdpobs=-.2
gen pr8=normprob(_b[normgdpobs]*-.2 + _b[AGforPl]*AGforPl + _b[CommObsDef]*CommObsDef + _b[CommObsPl]*CommObsPl + _b[CommIsPl]*CommIsPl +_b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & NewECJPlAgree~=.


**estimate the probability of ECJ for plaintiff if normgdpobs=.2
gen pr9=normprob(_b[normgdpobs]*.2 + _b[AGforPl]*AGforPl + _b[CommObsDef]*CommObsDef + _b[CommObsPl]*CommObsPl + _b[CommIsPl]*CommIsPl +_b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & NewECJPlAgree~=.

ttest pr8=pr9


*** pre and post 1993

probit NewECJPlAgree normgdpobs pre1994 normgdpobspre1994 if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1, cluster(casenumber)

**estimate the probability of ECJ for plaintiff if normgdpobs=-.2 and post1993

gen pr10=normprob(_b[normgdpobs]*-.2 + _b[pre1994]*0 + _b[normgdpobspre1994]*0 + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1  & NewECJPlAgree~=.

**estimate the probability of ECJ for plaintiff if normgdpob=.2 and post1993

gen pr11=normprob(_b[normgdpobs]*.2 + _b[pre1994]*0 + _b[normgdpobspre1994]*0 + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1  & NewECJPlAgree~=.

ttest pr10=pr11


**estimate the probability of ECJ for plaintiff if normgdpobs=-.2 and pre1994

gen pr12=normprob(_b[normgdpobs]*-.2 + _b[pre1994]*1 + _b[normgdpobspre1994]*-.2 + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & NewECJPlAgree~=.

**estimate the probability of ECJ for plaintiff if normgdpob=.2 and pre1994

gen pr13=normprob(_b[normgdpobs]*.2 + _b[pre1994]*1 + _b[normgdpobspre1994]*.2 + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1  & NewECJPlAgree~=.

ttest pr12=pr13


** only direct actions

probit NewECJPlAgree normgdpobs  if article177==0 & govislit==1 & casenumber~="1/82", cluster(casenumber) 

**estimate the probability of ECJ for plaintiff if normgdpobs=-.2 and post1993

gen pr14=normprob(_b[normgdpobs]*-.2  + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & article169==1 & NewECJPlAgree~=.

**estimate the probability of ECJ for plaintiff if normgdpob=.2 and pre1994 

gen pr15=normprob(_b[normgdpobs]*.2  + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & article169==1 & NewECJPlAgree~=.

ttest pr14=pr15


*** only preliminary references

probit NewECJPlAgree normgdpobs  if article177==1 & govislit==1 & casenumber~="1/82", cluster(casenumber)
**estimate the probability of ECJ for plaintiff if normgdpobs=-.2 and post1993


gen pr16=normprob(_b[normgdpobs]*-.2  + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & article177==1 & NewECJPlAgree~=.

**estimate the probability of ECJ for plaintiff if normgdpob=.2 and pre1994

gen pr17=normprob(_b[normgdpobs]*.2  + _b[_cons]) if govislit==1 & casenumber~="1/82" & casenumber~="9/600" & article179~=1 & article175~=1 & article177==1 & NewECJPlAgree~=.
ttest pr16=pr17

log close

